> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/sku_lists.md).

# SKU lists

The SKU list object and the allowed CRUD operations on the related resource endpoint

SKU lists are used to group more [SKUs](/core-api-reference/skus.md), either automatically (i.e. through a RegEx — max **5000** chars allowed) or manually (i.e. by creating and sorting more [SKU list items](/core-api-reference/sku_list_items.md)).

{% hint style="info" %}
SKU lists cannot contain [bundles](/core-api-reference/bundles.md). If a bundle is associated with an SKU list, they are considered matching resources, which is meaningful for the scope of specific [promotions](/core-api-reference/free_gift_promotions.md) and [promotion rules](/core-api-reference/promotion_rules.md) application.
{% endhint %}

{% hint style="warning" %}
SKU uniqueness is not enforced on SKU list. That means an SKU list can contain the same SKU multiple times.
{% endhint %}

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/products/sku-lists.md) and explore the flowchart that illustrates how the SKU list resource relates to the other API entities.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/sku_lists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
